/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.gebietsbaum.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.GebietsarteigenschaftConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(GebietsarteigenschaftMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class GebietsarteigenschaftMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietsarteigenschaftMeta";

  @Inject
  private transient Messages messages;

  public GebietsarteigenschaftMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBriefwahlgebietEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_BRIEFWAHLGEBIET_EINZAHL;
  }

  public String getBriefwahlgebietMehrzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_BRIEFWAHLGEBIET_MEHRZAHL;
  }


  public String getBriefwahlgebietEinzahlMessage(){
    return getMessage(getBriefwahlgebietEinzahlMessageKey());
  }

  public String getBriefwahlgebietMehrzahlMessage(){
    return getMessage(getBriefwahlgebietMehrzahlMessageKey());
  }



  public boolean isBriefwahlgebietRequired() {
    return !GebietsarteigenschaftConstants.BRIEFWAHLGEBIET_NULLABLE;
  }

  public java.lang.Boolean getBriefwahlgebietDefaultValue() {
    return GebietsarteigenschaftConstants.BRIEFWAHLGEBIET_DEFAULT_VALUE;
  }


  public String getDirektwahlgebietEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_DIREKTWAHLGEBIET_EINZAHL;
  }

  public String getDirektwahlgebietMehrzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_DIREKTWAHLGEBIET_MEHRZAHL;
  }


  public String getDirektwahlgebietEinzahlMessage(){
    return getMessage(getDirektwahlgebietEinzahlMessageKey());
  }

  public String getDirektwahlgebietMehrzahlMessage(){
    return getMessage(getDirektwahlgebietMehrzahlMessageKey());
  }



  public boolean isDirektwahlgebietRequired() {
    return !GebietsarteigenschaftConstants.DIREKTWAHLGEBIET_NULLABLE;
  }

  public java.lang.Boolean getDirektwahlgebietDefaultValue() {
    return GebietsarteigenschaftConstants.DIREKTWAHLGEBIET_DEFAULT_VALUE;
  }


  public String getErfassungsgebietEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_ERFASSUNGSGEBIET_EINZAHL;
  }

  public String getErfassungsgebietMehrzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_ERFASSUNGSGEBIET_MEHRZAHL;
  }


  public String getErfassungsgebietEinzahlMessage(){
    return getMessage(getErfassungsgebietEinzahlMessageKey());
  }

  public String getErfassungsgebietMehrzahlMessage(){
    return getMessage(getErfassungsgebietMehrzahlMessageKey());
  }



  public boolean isErfassungsgebietRequired() {
    return !GebietsarteigenschaftConstants.ERFASSUNGSGEBIET_NULLABLE;
  }

  public java.lang.Boolean getErfassungsgebietDefaultValue() {
    return GebietsarteigenschaftConstants.ERFASSUNGSGEBIET_DEFAULT_VALUE;
  }


  public String getErgebnisRelevantDeprecatedEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_ERGEBNIS_RELEVANT_EINZAHL;
  }

  public String getErgebnisRelevantDeprecatedMehrzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_ERGEBNIS_RELEVANT_MEHRZAHL;
  }


  public String getErgebnisRelevantDeprecatedEinzahlMessage(){
    return getMessage(getErgebnisRelevantDeprecatedEinzahlMessageKey());
  }

  public String getErgebnisRelevantDeprecatedMehrzahlMessage(){
    return getMessage(getErgebnisRelevantDeprecatedMehrzahlMessageKey());
  }



  public boolean isErgebnisRelevantDeprecatedRequired() {
    return !GebietsarteigenschaftConstants.ERGEBNIS_RELEVANT_NULLABLE;
  }

  public java.lang.Boolean getErgebnisRelevantDeprecatedDefaultValue() {
    return GebietsarteigenschaftConstants.ERGEBNIS_RELEVANT_DEFAULT_VALUE;
  }


  public String getListenkandidatenWaehlbarEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_LISTENKANDIDATEN_WAEHLBAR_EINZAHL;
  }

  public String getListenkandidatenWaehlbarMehrzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_LISTENKANDIDATEN_WAEHLBAR_MEHRZAHL;
  }


  public String getListenkandidatenWaehlbarEinzahlMessage(){
    return getMessage(getListenkandidatenWaehlbarEinzahlMessageKey());
  }

  public String getListenkandidatenWaehlbarMehrzahlMessage(){
    return getMessage(getListenkandidatenWaehlbarMehrzahlMessageKey());
  }



  public boolean isListenkandidatenWaehlbarRequired() {
    return !GebietsarteigenschaftConstants.LISTENKANDIDATEN_WAEHLBAR_NULLABLE;
  }

  public java.lang.Boolean getListenkandidatenWaehlbarDefaultValue() {
    return GebietsarteigenschaftConstants.LISTENKANDIDATEN_WAEHLBAR_DEFAULT_VALUE;
  }


  public String getListenwahlgebietEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_LISTENWAHLGEBIET_EINZAHL;
  }

  public String getListenwahlgebietMehrzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_LISTENWAHLGEBIET_MEHRZAHL;
  }


  public String getListenwahlgebietEinzahlMessage(){
    return getMessage(getListenwahlgebietEinzahlMessageKey());
  }

  public String getListenwahlgebietMehrzahlMessage(){
    return getMessage(getListenwahlgebietMehrzahlMessageKey());
  }



  public boolean isListenwahlgebietRequired() {
    return !GebietsarteigenschaftConstants.LISTENWAHLGEBIET_NULLABLE;
  }

  public java.lang.Boolean getListenwahlgebietDefaultValue() {
    return GebietsarteigenschaftConstants.LISTENWAHLGEBIET_DEFAULT_VALUE;
  }


  public String getReferendumgebietEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_REFERENDUMGEBIET_EINZAHL;
  }

  public String getReferendumgebietMehrzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_REFERENDUMGEBIET_MEHRZAHL;
  }


  public String getReferendumgebietEinzahlMessage(){
    return getMessage(getReferendumgebietEinzahlMessageKey());
  }

  public String getReferendumgebietMehrzahlMessage(){
    return getMessage(getReferendumgebietMehrzahlMessageKey());
  }



  public boolean isReferendumgebietRequired() {
    return !GebietsarteigenschaftConstants.REFERENDUMGEBIET_NULLABLE;
  }

  public java.lang.Boolean getReferendumgebietDefaultValue() {
    return GebietsarteigenschaftConstants.REFERENDUMGEBIET_DEFAULT_VALUE;
  }


  public String getWahlgebietEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_WAHLGEBIET_EINZAHL;
  }

  public String getWahlgebietMehrzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_WAHLGEBIET_MEHRZAHL;
  }


  public String getWahlgebietEinzahlMessage(){
    return getMessage(getWahlgebietEinzahlMessageKey());
  }

  public String getWahlgebietMehrzahlMessage(){
    return getMessage(getWahlgebietMehrzahlMessageKey());
  }



  public boolean isWahlgebietRequired() {
    return !GebietsarteigenschaftConstants.WAHLGEBIET_NULLABLE;
  }

  public java.lang.Boolean getWahlgebietDefaultValue() {
    return GebietsarteigenschaftConstants.WAHLGEBIET_DEFAULT_VALUE;
  }



  public String getGebietsartEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_GEBIETSART_ID_EINZAHL;
  }

  public String getGebietsartEinzahlMessage(){
    return getMessage(getGebietsartEinzahlMessageKey());
  }

  public boolean isGebietsartRequired() {
    return !GebietsarteigenschaftConstants.GEBIETSART_ID_NULLABLE;
  }


  public String getWahlartBeiAufteilungEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_WAHLART_BEI_AUFTEILUNG_ID_EINZAHL;
  }

  public String getWahlartBeiAufteilungEinzahlMessage(){
    return getMessage(getWahlartBeiAufteilungEinzahlMessageKey());
  }

  public boolean isWahlartBeiAufteilungRequired() {
    return !GebietsarteigenschaftConstants.WAHLART_BEI_AUFTEILUNG_ID_NULLABLE;
  }


  public String getWahlartEinzahlMessageKey(){
    return GebietsarteigenschaftConstants.MESSAGE_KEY_WAHLART_ID_EINZAHL;
  }

  public String getWahlartEinzahlMessage(){
    return getMessage(getWahlartEinzahlMessageKey());
  }

  public boolean isWahlartRequired() {
    return !GebietsarteigenschaftConstants.WAHLART_ID_NULLABLE;
  }

}